Package bitel.billing.server.contract.bean

# Class ContractScriptLogManager

java.lang.Object
bitel.billing.server.contract.bean.ContractScriptLogManager

    @Deprecated
    public class ContractScriptLogManager
    extends java.lang.Object

Deprecated.
Использовать `ContractScriptLogDao`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractScriptLogManager​(DefaultServerSetup setup)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<ContractScriptLog>` | `getScriptLogList​(int cid, java.util.Date start, java.util.Date end)` | Deprecated. Возвращает полный список логов скриптов договора за определенный период
  `java.util.List<ContractScriptLog>` | `getScriptLogList​(int cid, java.util.Date start, java.util.Date end, Page page)` | Deprecated. Возвращает постраничный список логов скриптов договора за определенный период

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractScriptLogManager

    public ContractScriptLogManager​(DefaultServerSetup setup)
    Deprecated.

- ## Method Details

  - ### getScriptLogList

    public java.util.List<ContractScriptLog> getScriptLogList​(int cid, java.util.Date start, java.util.Date end)
    Deprecated.
    Возвращает полный список логов скриптов договора за определенный период
    Parameters:
      `cid` - код договора
      `start` - начало периода
      `end` - конец периода
    Returns:
      список

  - ### getScriptLogList

    public java.util.List<ContractScriptLog> getScriptLogList​(int cid, java.util.Date start, java.util.Date end, Page page)
    Deprecated.
    Возвращает постраничный список логов скриптов договора за определенный период
    Parameters:
      `cid` - код договора
      `start` - начало периода
      `end` - конец периода
      `page` - страница
    Returns:
      список